<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.PrintLoggingSystemStats Method (Boolean, Boolean, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Display the logging subsystem statistical information, as described by LogStats.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void PrintLoggingSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool PrintAlloc
    )

Visual Basic (Declaration)

    Public Sub PrintLoggingSystemStats ( _
    	PrintAll As Boolean, _
    	ClearStats As Boolean, _
    	PrintAlloc As Boolean _
    )

Visual C++

    public:
    void PrintLoggingSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool PrintAlloc
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

ClearStats
  Type: System..::.Boolean
  If true, reset statistics after displaying their values.

PrintAlloc
  Type: System..::.Boolean
  If true, display allocation information.

# See Also

DatabaseEnvironment Class
PrintLoggingSystemStats Overload
BerkeleyDB Namespace